import { createRoot } from 'react-dom/client';

// import data, simulate data retrieval from database, *personsData* is an Array object
import personsData from '../data/personsData.js';

// import React component
import Person from '../components/person.jsx'
import PersonListing from '../components/personListing.jsx';

   const bootstrapReact = () => {
      const root = createRoot(document.getElementById('insertReactHere')); 

      const component = <PersonListing persons={personsData} delay={2000} />

      root.render(component);
   }


window.addEventListener('DOMContentLoaded', bootstrapReact);
